[email protected]

发布时间:2017-3-28 16:12:15 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"[email protected]",[email protected][email protected]一下。

转载自 enilu 最终编辑 enilu 刚进公司,公司让看CXF,发现有很多annotation的标注,annotation注释是在jdk1.5加入的新东西,没用过,所以只能照着写了。在公司倒也没出错,公司的jdk是1.6的,把东西带回家后,在自己的电脑(jdk1.5)上一跑,报错了,[email protected] 费了半天劲才调好,原因如下: [email protected]的方法的重写,而不能用于对实现的接口中的方法的实现。 例如: Java代码 public interface Interface_A{ public void methodA(); } public interface Interface_A{ public void methodA(); } Java代码 public class parentClass_B{ public void methodB(){ } } public class parentClass_B{ public void methodB(){ } } Java代码 public class test extends parentClass_B implements Interface_A{ @override //此处在jdk1.5中会报错,1.6中则不会 public void methodA(){ ............. } @override //此处不会报错 public void methodB(){ ............. } } public class test extends parentClass_B implements Interface_A{ @override //此处在jdk1.5中会报错,1.6中则不会 public void methodA(){ ............. } @override //此处不会报错 public void methodB(){ ............. } } 解决办法有以下:1,在右键项目选择Properties-->java Compiler-->Compiler Compliance Level-->将jdk设置为6.0.。但是有时候这样还不行,天知道为什么, [email protected],不知谁有好的方法 另外有时候会报这种错误:Exception sending context initialized event to listener instance of class org.springframework.web.context.ContextLoaderListener 或者bad version number in .class file unable to load class,也是由于项目变量中的jdk版本和Compiler Compliance Level中jdk版本不一致所一致 如果这样处理还不行的话,那就是你在eclipse里配置的tomcat的jdk的版本和项目path里配置的不一致了,通过菜单Windows-->Preferences-->tomcat-->jdk-->tomcat JDK home 选择与项目一直的jdk即可。 有时候可能会出现这种情况,你项目里的jdk配置的是你自己的jdk6,而你看到tomcat JDK home中也是Myeclipse6.0,主管认为两个都是java6嘛,应该没有问题的,但是有时候还是不行,偶就撞上这个霉头了,刚开始怎么也找不到问题,这个问题困扰了好几天

上一篇:一段左侧菜单的显示隐藏的代码(兼容IE,FireFox)
下一篇:Linux进程间通信:IPC对象——信号灯集详解

相关文章

相关评论

本站评论功能暂时取消,后续此功能例行通知。

一、不得利用本站危害国家安全、泄露国家秘密,不得侵犯国家社会集体的和公民的合法权益,不得利用本站制作、复制和传播不法有害信息!

二、互相尊重,对自己的言论和行为负责。

好贷网好贷款